from os.path import join
from os import environ


MUNICIPAL_RADIO = 'municipal_radio'
PRESENTATIONS = 'presentations'
CLIPS = 'clips'
UNUSED = 'unused'


DATA_FOLDER = environ['DATA_DIR']
LOGO_FOLDER = join(DATA_FOLDER, 'imgs')
TEMPLATES_FOLDER = join(DATA_FOLDER, 'templates')
STATIC_FOLDER = join(DATA_FOLDER, 'static')
MUNICIPAL_RADIO_FOLDER = join(DATA_FOLDER, MUNICIPAL_RADIO)
PRESENTATIONS_FOLDER = join(DATA_FOLDER, PRESENTATIONS)
CLIPS_FOLDER = join(DATA_FOLDER, CLIPS)
UNUSED_FOLDER = join(DATA_FOLDER, UNUSED)


RC_HOST = 'VLC_RC_HOST_CLIENT'
RC_PORT = 'VLC_RC_PORT'
HTTP_HOST = 'HTTP_HOST'
HTTP_PORT = 'HTTP_PORT'
HTTP_DEBUG = 'HTTP_DEBUG'
VLC_WEB_PORT = 'VLC_HTTP_PORT'
PRESENTATION_ID = 'PRESENTATION_ID'
SECONDS_PER_SLIDE = 'SECONDS_PER_SLIDE'
PRESENTATION_VIDEO_CODEC = 'PRESENTATION_VIDEO_CODEC'
LOGO_NAME = 'EMBEDDED_LOGO_IMAGE'
LOGO_X = 'LOGO_X_POSITION'
LOGO_Y = 'LOGO_Y_POSITION'
VIDEO_OUTPUT_CODEC = 'VIDEO_OUTPUT_CODEC'
DELETE_OLD_PRESENTATIONS = 'DELETE_OLD_PRESENTATION'
MUNICIPAL_RADIO_IMAGE = 'MUNICIPAL_RADION_IMAGE'

# day shortcut constants
MON = 'monday'
TUE = 'tuesday'
WED = 'wednesday'
THU = 'thursday'
FRI = 'friday'
SAT = 'saturday'
SUN = 'sunday'


ALLOWED_VIDEO = {'avi', 'mp4', 'mpg', 'mpeg', 'mov', 'mkv', 'wmv'}
ALLOWED_AUDIO = {'mp3', 'ogg', 'wav'}
ALLOWED_IMAGE = {'jpg', 'jpeg', 'png', 'bmp', 'tif'}
ALLOWED_DOCUMENTS = {'pdf'}
ALLOWED_EXTENSIONS = ALLOWED_AUDIO | ALLOWED_VIDEO
